Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstallationManagerForm.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstallationManagerForm.cs	(revision 3546)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/InstallationManagerForm.cs	(revision 3547)
@@ -31,25 +31,6 @@
 
 namespace HeuristicLab.PluginInfrastructure.Advanced {
-  internal partial class InstallationManagerForm : Form {
-    private class UpdateOrInstallPluginsBackgroundWorkerArgument {
-      public IEnumerable<IPluginDescription> PluginsToUpdate { get; set; }
-      public IEnumerable<IPluginDescription> PluginsToInstall { get; set; }
-    }
-
-    private class RemovePluginsBackgroundWorkerArgument {
-      public IEnumerable<IPluginDescription> PluginsToRemove { get; set; }
-    }
-
-    private class RefreshBackgroundWorkerResult {
-      public IEnumerable<IPluginDescription> RemotePlugins { get; set; }
-      public IEnumerable<DeploymentService.ProductDescription> RemoteProducts { get; set; }
-    }
-
+  internal partial class InstallationManagerForm : Form, IStatusView {
     private InstallationManager installationManager;
-    private BackgroundWorker refreshServerPluginsBackgroundWorker;
-    private BackgroundWorker updateOrInstallPluginsBackgroundWorker;
-    private BackgroundWorker removePluginsBackgroundWorker;
-    private BackgroundWorker refreshLocalPluginsBackgroundWorker;
-    private BackgroundWorker updateAllPluginsBackgroundWorker;
     private PluginManager pluginManager;
     private string pluginDir;
@@ -58,4 +39,5 @@
       InitializeComponent();
       this.pluginManager = pluginManager;
+
       pluginManager.PluginLoaded += pluginManager_PluginLoaded;
       pluginManager.PluginUnloaded += pluginManager_PluginUnloaded;
@@ -64,26 +46,4 @@
 
       pluginDir = Application.StartupPath;
-
-      #region initialize background workers
-      refreshServerPluginsBackgroundWorker = new BackgroundWorker();
-      refreshServerPluginsBackgroundWorker.DoWork += new DoWorkEventHandler(refreshServerPluginsBackgroundWorker_DoWork);
-      refreshServerPluginsBackgroundWorker.RunWorkerCompleted += new RunWorkerCompletedEventHandler(refreshServerPluginsBackgroundWorker_RunWorkerCompleted);
-
-      updateOrInstallPluginsBackgroundWorker = new BackgroundWorker();
-      updateOrInstallPluginsBackgroundWorker.DoWork += new DoWorkEventHandler(updateOrInstallPluginsBackgroundWorker_DoWork);
-      updateOrInstallPluginsBackgroundWorker.RunWorkerCompleted += new RunWorkerCompletedEventHandler(updateOrInstallPluginsBackgroundWorker_RunWorkerCompleted);
-
-      removePluginsBackgroundWorker = new BackgroundWorker();
-      removePluginsBackgroundWorker.DoWork += new DoWorkEventHandler(removePluginsBackgroundWorker_DoWork);
-      removePluginsBackgroundWorker.RunWorkerCompleted += new RunWorkerCompletedEventHandler(removePluginsBackgroundWorker_RunWorkerCompleted);
-
-      refreshLocalPluginsBackgroundWorker = new BackgroundWorker();
-      refreshLocalPluginsBackgroundWorker.DoWork += new DoWorkEventHandler(refreshLocalPluginsBackgroundWorker_DoWork);
-      refreshLocalPluginsBackgroundWorker.RunWorkerCompleted += new RunWorkerCompletedEventHandler(refreshLocalPluginsBackgroundWorker_RunWorkerCompleted);
-
-      updateAllPluginsBackgroundWorker = new BackgroundWorker();
-      updateAllPluginsBackgroundWorker.DoWork += new DoWorkEventHandler(updateAllPluginsBackgroundWorker_DoWork);
-      updateAllPluginsBackgroundWorker.RunWorkerCompleted += new RunWorkerCompletedEventHandler(updateAllPluginsBackgroundWorker_RunWorkerCompleted);
-      #endregion
 
       installationManager = new InstallationManager(pluginDir);
@@ -99,116 +59,21 @@
         tabControl.Controls.Remove(uploadPluginsTabPage);
         tabControl.Controls.Remove(manageProductsTabPage);
-      }
-
-      UpdateLocalPluginList(pluginManager.Plugins);
-      UpdateControlsConnected();
-    }
-
-    #region event handlers for update all plugins backgroundworker
-    void updateAllPluginsBackgroundWorker_RunWorkerCompleted(object sender, RunWorkerCompletedEventArgs e) {
-      if (e.Error != null) {
-        MessageBox.Show("There was an error while connecting to the server." + Environment.NewLine +
-           "Please check your connection settings and user credentials.");
-        UpdateControlsDisconnected();
       } else {
-        RefreshLocalPluginListAsync();
-        UpdateControlsConnected();
-      }
-    }
-
-    void updateAllPluginsBackgroundWorker_DoWork(object sender, DoWorkEventArgs e) {
-      IEnumerable<IPluginDescription> installedPlugins = (IEnumerable<IPluginDescription>)e.Argument;
-      var remotePlugins = installationManager.GetRemotePluginList();
-      // if there is a local plugin with same name and same major and minor version then it's an update
-      var pluginsToUpdate = from remotePlugin in remotePlugins
-                            let matchingLocalPlugins = from installedPlugin in installedPlugins
-                                                       where installedPlugin.Name == remotePlugin.Name
-                                                       where installedPlugin.Version.Major == remotePlugin.Version.Major
-                                                       where installedPlugin.Version.Minor == remotePlugin.Version.Minor
-                                                       where installedPlugin.Version.Build <= remotePlugin.Version.Build ||
-                                                         installedPlugin.Version.Revision < remotePlugin.Version.Revision
-                                                       select installedPlugin
-                            where matchingLocalPlugins.Count() > 0
-                            select remotePlugin;
-      installationManager.Update(pluginsToUpdate);
-    }
-    #endregion
-
-    #region event handlers for refresh local plugin list backgroundworker
-    void refreshLocalPluginsBackgroundWorker_RunWorkerCompleted(object sender, RunWorkerCompletedEventArgs e) {
-      if (!e.Cancelled && e.Error == null) {
-        UpdateLocalPluginList((IEnumerable<PluginDescription>)e.Result);
-        UpdateControlsConnected();
-      }
-    }
-
-    void refreshLocalPluginsBackgroundWorker_DoWork(object sender, DoWorkEventArgs e) {
-      pluginManager.DiscoverAndCheckPlugins();
-      e.Result = new List<PluginDescription>(pluginManager.Plugins);
-    }
-    #endregion
-
-    #region event handlers for plugin removal background worker
-    void removePluginsBackgroundWorker_RunWorkerCompleted(object sender, RunWorkerCompletedEventArgs e) {
-      if (e.Error != null) {
-        MessageBox.Show("There was problem while deleting files." + Environment.NewLine +
-              e.Error.Message);
-        UpdateControlsDisconnected();
-      } else {
-        RefreshLocalPluginListAsync();
-        UpdateControlsConnected();
-      }
-    }
-
-    void removePluginsBackgroundWorker_DoWork(object sender, DoWorkEventArgs e) {
-      IEnumerable<IPluginDescription> pluginsToRemove = (IEnumerable<IPluginDescription>)e.Argument;
-      installationManager.Remove(pluginsToRemove);
-    }
-    #endregion
-
-    #region event handlers for plugin update background worker
-    void updateOrInstallPluginsBackgroundWorker_RunWorkerCompleted(object sender, RunWorkerCompletedEventArgs e) {
-      if (e.Error != null) {
-        MessageBox.Show("There was an error while connecting to the server." + Environment.NewLine +
-          "Please check your connection settings and user credentials.");
-        UpdateControlsDisconnected();
-      } else {
-        RefreshLocalPluginListAsync();
-        RefreshRemotePluginListAsync();
-        UpdateControlsConnected();
-      }
-    }
-
-    void updateOrInstallPluginsBackgroundWorker_DoWork(object sender, DoWorkEventArgs e) {
-      UpdateOrInstallPluginsBackgroundWorkerArgument info = (UpdateOrInstallPluginsBackgroundWorkerArgument)e.Argument;
-      installationManager.Install(info.PluginsToInstall);
-      installationManager.Update(info.PluginsToUpdate);
-    }
-    #endregion
-
-    #region event handlers for refresh server plugins background worker
-    void refreshServerPluginsBackgroundWorker_RunWorkerCompleted(object sender, RunWorkerCompletedEventArgs e) {
-      if (e.Error != null) {
-        MessageBox.Show("There was an error while connecting to the server." + Environment.NewLine +
-          "Please check your connection settings and user credentials.");
-        UpdateControlsDisconnected();
-      } else {
-        RefreshBackgroundWorkerResult refreshResult = (RefreshBackgroundWorkerResult)e.Result;
-        UpdateRemotePluginList(refreshResult.RemoteProducts, refreshResult.RemotePlugins);
-        UpdateControlsConnected();
-      }
-    }
-
-    void refreshServerPluginsBackgroundWorker_DoWork(object sender, DoWorkEventArgs e) {
-      RefreshBackgroundWorkerResult result = new RefreshBackgroundWorkerResult();
-      result.RemotePlugins = installationManager.GetRemotePluginList();
-      result.RemoteProducts = installationManager.GetRemoteProductList();
-      e.Cancel = false;
-      e.Result = result;
-    }
-
-
-
-    #endregion
+        pluginEditor.PluginManager = pluginManager;
+      }
+
+      localPluginsView.StatusView = this;
+      localPluginsView.PluginManager = pluginManager;
+      localPluginsView.InstallationManager = installationManager;
+
+      basicUpdateView.StatusView = this;
+      basicUpdateView.PluginManager = pluginManager;
+      basicUpdateView.InstallationManager = installationManager;
+
+      remotePluginInstaller.StatusView = this;
+      remotePluginInstaller.InstallationManager = installationManager;
+      remotePluginInstaller.PluginManager = pluginManager;
+    }
+
 
     #region plugin manager event handlers
@@ -267,53 +132,5 @@
     #endregion
 
-
-
     #region button events
-
-    private void refreshRemoteButton_Click(object sender, EventArgs e) {
-      Cursor = Cursors.AppStarting;
-      RefreshRemotePluginListAsync();
-      toolStripProgressBar.Visible = true;
-      DisableControls();
-    }
-
-    private void updateOrInstallButton_Click(object sender, EventArgs e) {
-      Cursor = Cursors.AppStarting;
-      toolStripProgressBar.Visible = true;
-      DisableControls();
-      var updateOrInstallInfo = new UpdateOrInstallPluginsBackgroundWorkerArgument();
-      // if there is a local plugin with same name and same major and minor version then it's an update
-      var pluginsToUpdate = from remotePlugin in remotePluginInstaller.CheckedPlugins
-                            let matchingLocalPlugins = from localPlugin in localPluginManagerView.Plugins
-                                                       where localPlugin.Name == remotePlugin.Name
-                                                       where localPlugin.Version.Major == remotePlugin.Version.Major
-                                                       where localPlugin.Version.Minor == remotePlugin.Version.Minor
-                                                       select localPlugin
-                            where matchingLocalPlugins.Count() > 0
-                            select remotePlugin;
-
-      // otherwise install a new plugin
-      var pluginsToInstall = remotePluginInstaller.CheckedPlugins.Except(pluginsToUpdate);
-
-      updateOrInstallInfo.PluginsToInstall = pluginsToInstall;
-      updateOrInstallInfo.PluginsToUpdate = pluginsToUpdate;
-      updateOrInstallPluginsBackgroundWorker.RunWorkerAsync(updateOrInstallInfo);
-    }
-
-    private void removeLocalButton_Click(object sender, EventArgs e) {
-      Cursor = Cursors.AppStarting;
-      toolStripProgressBar.Visible = true;
-      DisableControls();
-      removePluginsBackgroundWorker.RunWorkerAsync(localPluginManagerView.CheckedPlugins);
-    }
-
-    private void updateAllButton_Click(object sender, EventArgs e) {
-      Cursor = Cursors.AppStarting;
-      toolStripProgressBar.Visible = true;
-      updateButton.Enabled = false;
-      var installedPlugins = pluginManager.Plugins.OfType<IPluginDescription>();
-      updateAllPluginsBackgroundWorker.RunWorkerAsync(installedPlugins);
-    }
-
     private void connectionSettingsToolStripMenuItem_Click(object sender, EventArgs e) {
       new ConnectionSetupView().ShowDialog();
@@ -321,5 +138,7 @@
 
     private void tabControl_Selected(object sender, TabControlEventArgs e) {
-      viewToolStripMenuItem.Enabled = e.TabPage == availablePluginsTabPage;
+      viewToolStripMenuItem.Enabled = e.TabPage == availablePluginsTabPage;      
+      toolStripStatusLabel.Text = string.Empty;
+      toolStripProgressBar.Visible = false;
     }
 
@@ -377,71 +196,6 @@
     }
 
-    private void UpdateLocalPluginList(IEnumerable<PluginDescription> plugins) {
-      localPluginManagerView.Plugins = plugins;
-    }
-
-    private void UpdateRemotePluginList(
-      IEnumerable<DeploymentService.ProductDescription> remoteProducts,
-      IEnumerable<IPluginDescription> remotePlugins) {
-
-      var mostRecentRemotePlugins = from remote in remotePlugins
-                                    where !remotePlugins.Any(x => x.Name == remote.Name && x.Version > remote.Version) // same name and higher version
-                                    select remote;
-
-      var newPlugins = from remote in mostRecentRemotePlugins
-                       let matchingLocal = (from local in localPluginManagerView.Plugins
-                                            where local.Name == remote.Name
-                                            where local.Version < remote.Version
-                                            select local).FirstOrDefault()
-                       where matchingLocal != null
-                       select remote;
-
-      remotePluginInstaller.NewPlugins = newPlugins;
-      remotePluginInstaller.Products = remoteProducts;
-      remotePluginInstaller.AllPlugins = remotePlugins;
-    }
-
-    private void RefreshRemotePluginListAsync() {
-      Cursor = Cursors.AppStarting;
-      toolStripProgressBar.Visible = true;
-      refreshButton.Enabled = false;
-      refreshServerPluginsBackgroundWorker.RunWorkerAsync();
-    }
-
-    private void RefreshLocalPluginListAsync() {
-      Cursor = Cursors.AppStarting;
-      toolStripProgressBar.Visible = true;
-      DisableControls();
-      refreshLocalPluginsBackgroundWorker.RunWorkerAsync();
-    }
-
-    private void UpdateControlsDisconnected() {
-      //localPluginsListView.Enabled = false;
-      //ClearPluginsList(remotePluginsListView);
-      refreshButton.Enabled = true;
-      toolStripProgressBar.Visible = false;
-      Cursor = Cursors.Default;
-    }
-
-    private void UpdateControlsConnected() {
-      refreshButton.Enabled = true;
-      updateButton.Enabled = true;
-      toolStripProgressBar.Visible = false;
-      Cursor = Cursors.Default;
-    }
-
-    private void DisableControls() {
-      refreshButton.Enabled = false;
-      Cursor = Cursors.Default;
-    }
-    #endregion
-
-    private void localPluginManager_ItemChecked(object sender, ItemCheckedEventArgs e) {
-      removeButton.Enabled = localPluginManagerView.CheckedPlugins.Count() > 0;
-    }
-
-    private void remotePluginInstaller_ItemChecked(object sender, ItemCheckedEventArgs e) {
-      installButton.Enabled = remotePluginInstaller.CheckedPlugins.Count() > 0;
-    }
+    #endregion
+
 
     protected override void OnClosing(CancelEventArgs e) {
@@ -455,7 +209,50 @@
     }
 
-
-
-
+    #region IStatusView Members
+
+    public void ShowProgressIndicator(double percentProgress) {
+      if (percentProgress < 0.0 || percentProgress > 1.0) throw new ArgumentException();
+      toolStripProgressBar.Visible = true;
+      toolStripProgressBar.Style = ProgressBarStyle.Continuous;
+      int range = toolStripProgressBar.Maximum - toolStripProgressBar.Minimum;
+      toolStripProgressBar.Value = (int)(percentProgress * range + toolStripProgressBar.Minimum);
+    }
+
+    public void ShowProgressIndicator() {
+      toolStripProgressBar.Visible = true;
+      toolStripProgressBar.Style = ProgressBarStyle.Marquee;
+    }
+
+    public void HideProgressIndicator() {
+      toolStripProgressBar.Visible = false;
+    }
+
+    public void ShowMessage(string message) {
+      if (toolStripStatusLabel.Text == string.Empty)
+        toolStripStatusLabel.Text = message;
+      else
+        toolStripStatusLabel.Text += "; " + message;
+    }
+
+    public void RemoveMessage(string message) {
+      if (toolStripStatusLabel.Text.IndexOf("; " + message) > 0) {
+        toolStripStatusLabel.Text = toolStripStatusLabel.Text.Replace("; " + message, "");
+      }
+      toolStripStatusLabel.Text = toolStripStatusLabel.Text.Replace(message, "");
+      toolStripStatusLabel.Text = toolStripStatusLabel.Text.TrimStart(' ', ';');
+    }
+    public void LockUI() {
+      Cursor = Cursors.AppStarting;
+      tabControl.Enabled = false;
+    }
+    public void UnlockUI() {
+      tabControl.Enabled = true;
+      Cursor = Cursors.Default;
+    }
+    public void ShowError(string shortMessage, string description) {
+      logTextBox.Text += DateTime.Now + ": " + shortMessage + Environment.NewLine + description + Environment.NewLine;
+      MessageBox.Show(description, shortMessage);
+    }
+    #endregion
   }
 }
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/LocalPluginManager.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/LocalPluginManager.Designer.cs	(revision 3546)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/LocalPluginManager.Designer.cs	(revision 3547)
@@ -74,6 +74,6 @@
       this.localPluginsListView.UseCompatibleStateImageBehavior = false;
       this.localPluginsListView.View = System.Windows.Forms.View.Details;
-      this.localPluginsListView.ItemActivate += new System.EventHandler(this.localPluginsListView_ItemActivate);
-      this.localPluginsListView.ItemChecked += new System.Windows.Forms.ItemCheckedEventHandler(this.pluginsListView_ItemChecked);
+      //this.localPluginsListView.ItemActivate += new System.EventHandler(this.localPluginsListView_ItemActivate);
+      //this.localPluginsListView.ItemChecked += new System.Windows.Forms.ItemCheckedEventHandler(this.pluginsListView_ItemChecked);
       // 
       // nameHeader
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/LocalPluginManager.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/LocalPluginManager.cs	(revision 3546)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/LocalPluginManager.cs	(revision 3547)
@@ -34,105 +34,11 @@
     public event ItemCheckedEventHandler ItemChecked;
 
-    private BackgroundWorker refreshPluginListBackgroundWorker = new BackgroundWorker();
-
-    private ListViewGroup enabledPluginsGroup;
-    private ListViewGroup disabledPluginsGroup;
 
     public LocalPluginManagerView() {
       InitializeComponent();
 
-      enabledPluginsGroup = localPluginsListView.Groups["activePluginsGroup"];
-      disabledPluginsGroup = localPluginsListView.Groups["disabledPluginsGroup"];
+      
     }
-
-    private IEnumerable<PluginDescription> plugins;
-    public IEnumerable<PluginDescription> Plugins {
-      get { return plugins; }
-      set {
-        if (value != plugins) {
-          this.plugins = value;
-          UpdateControl();
-        }
-      }
-    }
-
-    public IEnumerable<IPluginDescription> CheckedPlugins {
-      get {
-        return (from item in localPluginsListView.Items.OfType<ListViewItem>()
-                where item.Checked
-                let plugin = item.Tag as IPluginDescription
-                where plugin != null
-                select plugin).ToList();
-      }
-    }
-
-    private void UpdateControl() {
-      ClearPluginList();
-      localPluginsListView.SuppressItemCheckedEvents = true;
-      foreach (var plugin in plugins) {
-        var item = CreateListViewItem(plugin);
-        if (plugin.PluginState == PluginState.Enabled) {
-          item.Group = enabledPluginsGroup;
-        } else if (plugin.PluginState == PluginState.Disabled) {
-          item.Group = disabledPluginsGroup;
-        }
-        localPluginsListView.Items.Add(item);
-      }
-      localPluginsListView.SuppressItemCheckedEvents = false;
-    }
-
-    private void ClearPluginList() {
-      List<ListViewItem> itemsToRemove = new List<ListViewItem>(from item in localPluginsListView.Items.OfType<ListViewItem>()
-                                                                select item);
-      itemsToRemove.ForEach(item => localPluginsListView.Items.Remove(item));
-    }
-
-    private ListViewItem CreateListViewItem(PluginDescription plugin) {
-      ListViewItem item = new ListViewItem(new string[] { plugin.Name, plugin.Version.ToString(), plugin.Description });
-      item.Tag = plugin;
-      return item;
-    }
-
-    private void pluginsListView_ItemChecked(object sender, ItemCheckedEventArgs e) {
-      // checked items are marked for removal
-      if (e.Item.Checked) {
-        List<ListViewItem> modifiedItems = new List<ListViewItem>();
-        foreach (ListViewItem item in localPluginsListView.SelectedItems) {
-          var plugin = (IPluginDescription)item.Tag;
-          modifiedItems.Add(item);
-          // also uncheck all dependent plugins
-          foreach (ListViewItem dependentItem in localPluginsListView.Items) {
-            var dependent = (IPluginDescription)dependentItem.Tag;
-            if (!dependentItem.Checked && (from dep in dependent.Dependencies
-                                           where dep.Name == plugin.Name
-                                           where dep.Version == plugin.Version
-                                           select dep).Any()) {
-              modifiedItems.Add(dependentItem);
-            }
-          }
-        }
-        localPluginsListView.CheckItems(modifiedItems);
-      } else {
-        List<ListViewItem> modifiedItems = new List<ListViewItem>();
-        foreach (ListViewItem item in localPluginsListView.SelectedItems) {
-          var plugin = (IPluginDescription)item.Tag;
-          modifiedItems.Add(item);
-        }
-        localPluginsListView.UncheckItems(modifiedItems);
-      }
-      OnItemChecked(e);
-    }
-
-    private void OnItemChecked(ItemCheckedEventArgs e) {
-      if (ItemChecked != null) ItemChecked(this, e);
-    }
-
-    private void localPluginsListView_ItemActivate(object sender, EventArgs e) {
-      if (localPluginsListView.SelectedItems.Count > 0) {
-        var plugin = (PluginDescription)localPluginsListView.SelectedItems[0].Tag;
-        PluginView pluginView = new PluginView(plugin);
-        pluginView.Show();
-      }
-    }
+    
   }
 }
Index: /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/LocalPluginsView.Designer.cs
===================================================================
--- /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/LocalPluginsView.Designer.cs	(revision 3547)
+++ /trunk/sources/HeuristicLab.PluginInfrastructure/Advanced/LocalPluginsView.Designer.cs	(revision 3547)
@@ -0,0 +1,150 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2010 Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+namespace HeuristicLab.PluginInfrastructure.Advanced {
+  partial class LocalPluginsView {
+    /// <summary> 
+    /// Required designer variable.
+    /// </summary>
+    private System.ComponentModel.IContainer components = null;
+
+    /// <summary> 
+    /// Clean up any resources being used.
+    /// </summary>
+    /// <param name="disposing">true if managed resources should be disposed; otherwise, false.</param>
+    protected override void Dispose(bool disposing) {
+      if (disposing && (components != null)) {
+        components.Dispose();
+      }
+      base.Dispose(disposing);
+    }
+
+    #region Component Designer generated code
+
+    /// <summary> 
+    /// Required method for Designer support - do not modify 
+    /// the contents of this method with the code editor.
+    /// </summary>
+    private void InitializeComponent() {
+      System.Windows.Forms.ListViewGroup listViewGroup1 = new System.Windows.Forms.ListViewGroup("Active Plugins", System.Windows.Forms.HorizontalAlignment.Left);
+      System.Windows.Forms.ListViewGroup listViewGroup2 = new System.Windows.Forms.ListViewGroup("Disabled Plugins", System.Windows.Forms.HorizontalAlignment.Left);
+      this.updateSelectedButton = new System.Windows.Forms.Button();
+      this.removeButton = new System.Windows.Forms.Button();
+      this.localPluginsListView = new HeuristicLab.PluginInfrastructure.Advanced.MultiSelectListView();
+      this.nameHeader = new System.Windows.Forms.ColumnHeader();
+      this.versionHeader = new System.Windows.Forms.ColumnHeader();
+      this.descriptionHeader = new System.Windows.Forms.ColumnHeader();
+      this.SuspendLayout();
+      // 
+      // updateSelectedButton
+      // 
+      this.updateSelectedButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+      this.updateSelectedButton.Enabled = false;
+      this.updateSelectedButton.Image = global::HeuristicLab.PluginInfrastructure.Properties.Resources.VS2008ImageLibrary_Objects_Internet;
+      this.updateSelectedButton.Location = new System.Drawing.Point(3, 483);
+      this.updateSelectedButton.Name = "updateSelectedButton";
+      this.updateSelectedButton.Size = new System.Drawing.Size(114, 25);
+      this.updateSelectedButton.TabIndex = 6;
+      this.updateSelectedButton.Text = "Update Selected";
+      this.updateSelectedButton.TextImageRelation = System.Windows.Forms.TextImageRelation.ImageBeforeText;
+      this.updateSelectedButton.UseVisualStyleBackColor = true;
+      this.updateSelectedButton.Click += new System.EventHandler(this.updateSelectedButton_Click);
+      // 
+      // removeButton
+      // 
+      this.removeButton.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Left)));
+      this.removeButton.Enabled = false;
+      this.removeButton.Image = global::HeuristicLab.PluginInfrastructure.Properties.Resources.VS2008ImageLibrary_CommonElements_Actions_Remove;
+      this.removeButton.Location = new System.Drawing.Point(123, 483);
+      this.removeButton.Name = "removeButton";
+      this.removeButton.Size = new System.Drawing.Size(110, 25);
+      this.removeButton.TabIndex = 12;
+      this.removeButton.Text = "Delete Selected";
+      this.removeButton.TextImageRelation = System.Windows.Forms.TextImageRelation.ImageBeforeText;
+      this.removeButton.UseVisualStyleBackColor = true;
+      this.removeButton.Click += new System.EventHandler(this.removeButton_Click);
+      // 
+      // localPluginsListView
+      // 
+      this.localPluginsListView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.localPluginsListView.CheckBoxes = true;
+      this.localPluginsListView.Columns.AddRange(new System.Windows.Forms.ColumnHeader[] {
+            this.nameHeader,
+            this.versionHeader,
+            this.descriptionHeader});
+      listViewGroup1.Header = "Active Plugins";
+      listViewGroup1.Name = "listViewGroup2";
+      listViewGroup2.Header = "Disabled Plugins";
+      listViewGroup2.Name = "listViewGroup1";
+      this.localPluginsListView.Groups.AddRange(new System.Windows.Forms.ListViewGroup[] {
+            listViewGroup1,
+            listViewGroup2});
+      this.localPluginsListView.Location = new System.Drawing.Point(3, 3);
+      this.localPluginsListView.Name = "localPluginsListView";
+      this.localPluginsListView.Size = new System.Drawing.Size(536, 474);
+      this.localPluginsListView.SuppressItemCheckedEvents = false;
+      this.localPluginsListView.TabIndex = 13;
+      this.localPluginsListView.UseCompatibleStateImageBehavior = false;
+      this.localPluginsListView.View = System.Windows.Forms.View.Details;
+      this.localPluginsListView.ItemActivate += new System.EventHandler(this.localPluginsListView_ItemActivate);
+      this.localPluginsListView.ItemChecked += new System.Windows.Forms.ItemCheckedEventHandler(this.pluginsListView_ItemChecked);
+      // 
+      // nameHeader
+      // 
+      this.nameHeader.Text = "Name";
+      this.nameHeader.Width = 199;
+      // 
+      // versionHeader
+      // 
+      this.versionHeader.Text = "Version";
+      this.versionHeader.Width = 84;
+      // 
+      // descriptionHeader
+      // 
+      this.descriptionHeader.Text = "Description";
+      this.descriptionHeader.Width = 245;
+      // 
+      // LocalPluginsView
+      // 
+      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
+      this.Controls.Add(this.localPluginsListView);
+      this.Controls.Add(this.removeButton);
+      this.Controls.Add(this.updateSelectedButton);
+      this.Name = "LocalPluginsView";
+      this.Size = new System.Drawing.Size(539, 508);
+      this.ResumeLayout(false);
+
+    }
+
+    #endregion
+
+    private System.Windows.Forms.Button updateSelectedButton;
+    private System.Windows.Forms.Button removeButton;
+    private MultiSelectListView localPluginsListView;
+    private System.Windows.Forms.ColumnHeader nameHeader;
+    private System.Windows.Forms.ColumnHeader versionHeader;
+    private System.Windows.Forms.ColumnHeader descriptionHeader;
+    // private LocalPluginManagerView localPluginManagerView;
+  }
+}
